4

I'm aware this question has already been asked numerous times in various forms, but I'm not finding any solutions that work for me. "No python support detected" in QGIS.

Issue: enter image description here

Tried:
1. Updating my .bash_profile with the following, per the solution in the comments to this question: Python plugins not available, OS X 10.10.5, QGIS 2.8.4, which did not work:

enter image description here

Edit: Adding those lines ^ to my bash profile (and not undoing it when it didn't work for me) caused me issues later on. When I tried to use Python 2 I would get an error that my PYTHONPATH was set to QGIS Python 3. I forgot that I had made this change, so I was baffled for quite a while until I remembered. facepalm

2. A commenter on this question: Enabling (python) plugins on QGIS3 (Linux)? suggested installing qgis-python but I have been unable to find this package to try this solution.

Versions:
macOS Sierra 10.12.6, QGIS 3.10, Python 2.7 (original OS install)


Update 1:
Per this thread on a QGIS Github forum, I think my problem may be my Mac OS. I didn't realize that the version of QGIS I installed (3.10) is for Mac High Sierra 10.13 and newer. I only have Sierra 10.12. I'm going to install a newer MacOS and see if that works. Will post an update...

Update 2:
Yes! Installing a newer MacOS worked! I'm going to add it as an answer. Hopefully this will help someone else with an older MacOS who didn't catch the install requirement.

4

After much troubleshooting I didn't see what was right in front of me. The QGIS 3.10 download required a minimum of Mac OS High Sierra 10.13 (and I had Sierra 10.12). I upgraded to Mac OS Mojave 10.14, and QGIS is now able to access the Python plugins.

https://qgis.org/en/site/forusers/download.html

enter image description here

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.